%global sfcompat bash
%global sfinc %{_datadir}/shellfu/include-%{sfcompat}
%global sfmodn jats
%global shellfu_req shellfu >= 0.10.44, shellfu < 0.11.0

Name:           shellfu-bash-jats
Version:        0.0.10
Release:        1%{?dist}
Summary:        JATS - Just A Testing Suite
URL:            https://gitlab.com/vornet/jats/shellfu-bash-jats
License:        LGPLv2
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  %shellfu_req
BuildRequires:  shellfu-%{sfcompat}
BuildRequires: shellfu-bash-arr
BuildRequires: shellfu-bash-pretty
BuildRequires: make

Requires: %shellfu_req
Requires: shellfu-%{sfcompat}
Requires: shellfu-bash-arr
Requires: shellfu-bash-pretty
%description
Just A Testing Suite

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=/usr

%install
%make_install PREFIX=/usr

%check
test -d utils/tfkit || exit 0
make test \
    SHELLFU_PATH=%{buildroot}/%{sfinc}

%files
%doc %{_docdir}/%{name}/README.md
%{sfinc}/%{sfmodn}.sh


%changelog

# specfile built with MKit 0.0.53
